!
!    Copyright 1997-2007, 2015, 2019-2021 Guy Munhoven
!
!    This file is part of libthdyct.
!
!    Licensed under the Apache License, Version 2.0 (the "License");
!    you may not use this file except in compliance with the License.
!    You may obtain a copy of the License at
!
!        http://www.apache.org/licenses/LICENSE-2.0
!
!    Unless required by applicable law or agreed to in writing, software
!    distributed under the License is distributed on an "AS IS" BASIS,
!    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
!    See the License for the specific language governing permissions and
!    limitations under the License.
!


!     ******************************************************************
      DOUBLE PRECISION FUNCTION TOTBOR(tk,s,d)
!     ******************************************************************
      IMPLICIT NONE

!     Function calculates total borate concentration in (mol/kg-SW)
!     Checked Wed  3 Apr 11:22:40 CEST 2019

!     Input variables:
!     s      : salinity
!     tk     : temperature in K
!     d      : depth in m

      DOUBLE PRECISION tk,s,d

      CHARACTER(LEN=*), PARAMETER :: whatid
     &  = '"@(#)- Total B: after Culkin (1965), [mol/kg-SW]"'

      totbor=0.0004125D+00*(s/35.0D+00)

      RETURN

!     ******************************************************************
      END
!     ******************************************************************
